<?PHP
#
#   FILE:  Unsubscribe.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2013 Edward Almasy and Internet Scout Research Group
#   http://scout.wisc.edu/cwis/
#

# ----- MAIN -----------------------------------------------------------------

PageTitle("Unsubscribe from blog entry notifications");

# get the blog plugin
$Blog = $GLOBALS["G_PluginManager"]->GetPluginForCurrentPage();
$Blog->SetCurrentBlog( $Blog->ConfigSetting("EmailNotificationBlog") );

# change the subscription for the user
$Blog->ChangeNotificationSubscription($GLOBALS["G_User"], FALSE);

# go back to the blog landing page
$GLOBALS["AF"]->SetJumpToPage($Blog->BlogUrl());
